libstdc++: std::experimental::filesystem::v1::filesystem_error Class Reference

libstdc++

std::experimental::filesystem::v1::filesystem_error Class Reference
Technical Specifications » Filesystem TS

`#include <fs_path.h>`

Inheritance diagram for std::experimental::filesystem::v1::filesystem_error:
[legend]

## Public Member Functions
| filesystem_error (const string &__what_arg, const path &__p1, const path &__p2, error_code __ec)
| filesystem_error (const string &__what_arg, const path &__p1, error_code __ec)
| filesystem_error (const string &__what_arg, error_code __ec)
const error_code & | code () const noexcept
const path & | path1 () const noexcept
const path & | path2 () const noexcept
const char * | what () const noexcept

## Detailed Description

Exception type thrown by the Filesystem TS library.

Definition at line 693 of file experimental/bits/fs_path.h.

## Constructor & Destructor Documentation

## ◆ filesystem_error() [1/3]

std::experimental::filesystem::v1::filesystem_error::filesystem_error | ( | const string & | __what_arg,
|  | error_code | __ec )
| inline

Definition at line 696 of file experimental/bits/fs_path.h.

## ◆ filesystem_error() [2/3]

std::experimental::filesystem::v1::filesystem_error::filesystem_error | ( | const string & | __what_arg,
|  | const path & | __p1,
|  | error_code | __ec )
| inline

Definition at line 699 of file experimental/bits/fs_path.h.

## ◆ filesystem_error() [3/3]

std::experimental::filesystem::v1::filesystem_error::filesystem_error | ( | const string & | __what_arg,
|  | const path & | __p1,
|  | const path & | __p2,
|  | error_code | __ec )
| inline

Definition at line 703 of file experimental/bits/fs_path.h.

## Member Function Documentation

## ◆ code()

const error_code & std::system_error::code | ( |  | ) | const
| inlinenoexceptinherited

Definition at line 592 of file system_error.

## ◆ path1()

const path & std::experimental::filesystem::v1::filesystem_error::path1 | ( |  | ) | const
| inlinenoexcept

Definition at line 710 of file experimental/bits/fs_path.h.

## ◆ path2()

const path & std::experimental::filesystem::v1::filesystem_error::path2 | ( |  | ) | const
| inlinenoexcept

Definition at line 711 of file experimental/bits/fs_path.h.

## ◆ what()

const char * std::experimental::filesystem::v1::filesystem_error::what | ( |  | ) | const
| inlinevirtualnoexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::runtime_error.

Definition at line 712 of file experimental/bits/fs_path.h.

The documentation for this class was generated from the following file:

- experimental/bits/fs_path.h